public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/nokogumbo/
Date: Thu, 20 Jul 2017 06:25:21 +0000 (UTC)	[thread overview]
Message-ID: <1500531909.f4879b23356631cd04d8a0d639d6fcb06338c790.graaff@gentoo> (raw)

commit:     f4879b23356631cd04d8a0d639d6fcb06338c790
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 20 05:34:27 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jul 20 06:25:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4879b23

dev-ruby/nokogumbo: add 1.4.13

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ruby/nokogumbo/Manifest                |  1 +
 dev-ruby/nokogumbo/nokogumbo-1.4.13.ebuild | 44 ++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-ruby/nokogumbo/Manifest b/dev-ruby/nokogumbo/Manifest
index 68ab900b945..3faa410aae4 100644
--- a/dev-ruby/nokogumbo/Manifest
+++ b/dev-ruby/nokogumbo/Manifest
@@ -1,2 +1,3 @@
+DIST nokogumbo-1.4.13.gem 228352 SHA256 e003dc6c2be7cb3aef12188eed0a4cacf4e778746377c4fc4c4f2a496d61ff61 SHA512 369743cab4a4bd3ffa5eee4f46074099afd253b66ef5ef9303b79d5e5ce1375f33b73916f1712e256044a00335bdb6595f2ce028e02169607252f32dd9dff9b0 WHIRLPOOL b343fc8f70a17d611583ffb4c41850cbdd39719aefb59d43aac75b77d1291a377fbfaf704f58ef02fecadad0a104eddf9a7cea7bdad7adc8ff879ac9e211e37c
 DIST nokogumbo-1.4.7.gem 227328 SHA256 39adb157eb8aaaef0f104cce973afad06d6fdc62b5bb65d37190dc6d8b285d79 SHA512 c4ac9c148430a3fe975849ee7e409d934f832433ba519468e3434153149178a34d03cd2381fe4b816aedbd26e086d96c4b1d397dee220a602ab70a54b973359a WHIRLPOOL c5bf3de8997f103d213bf8719257109de41908fa366cc65862c21bdda91f7c9da6c3c34c0841b206833df351ee78f74c4ddf53711372d11d562e503c0eec648e
 DIST nokogumbo-1.4.9.gem 228352 SHA256 7e8f69cc90a4586e939d60d6b884521f37a6dfdc7671751307cd29fef90b87b2 SHA512 c23d28b63141266122834d0067aa49ad3575ae20baf0b10a915eba4d28de244d2c71e101f3c470bc384f6b7833f76097025fcf0273a13e8bd17e750a5bdc6e3b WHIRLPOOL b2755616ab78be08f3f266ff925f8bb4aad3007130b5cb08feb79350573d7dde293e443f81489c07c03c1cd65e5e7fd857e1b2e931cc7491b539a5fcac2c642d

diff --git a/dev-ruby/nokogumbo/nokogumbo-1.4.13.ebuild b/dev-ruby/nokogumbo/nokogumbo-1.4.13.ebuild
new file mode 100644
index 00000000000..ec3ae6405f2
--- /dev/null
+++ b/dev-ruby/nokogumbo/nokogumbo-1.4.13.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Nokogiri interface to the Gumbo HTML5 parser"
+HOMEPAGE="https://github.com/rubys/nokogumbo"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND+=">=dev-libs/gumbo-0.10"
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.6.5-r1"
+
+all_ruby_prepare() {
+	# Define rakehome in scope
+	sed -i -e "1irakehome=File.expand_path('../../')" ext/nokogumboc/extconf.rb || die
+}
+
+each_ruby_configure() {
+	${RUBY} -Cext/nokogumboc extconf.rb || die
+	sed -i -e 's:-Wl,--no-undefined::' ext/nokogumboc/Makefile || die
+}
+
+each_ruby_compile() {
+	emake -Cext/nokogumboc V=1
+	cp ext/nokogumboc/nokogumboc.so lib/ || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib test-nokogumbo.rb || die
+}


             reply	other threads:[~2017-07-20  6:25 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-20  6:25 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-26  5:52 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/nokogumbo/ Hans de Graaff
2021-10-27 11:26 Hans de Graaff
2021-10-03  8:40 Hans de Graaff
2021-10-03  6:03 Hans de Graaff
2021-03-20  7:09 Hans de Graaff
2020-12-01  6:44 Hans de Graaff
2020-11-22  6:46 Hans de Graaff
2020-08-21  6:57 Hans de Graaff
2020-08-03  5:26 Hans de Graaff
2020-04-12  6:22 Hans de Graaff
2019-02-23  7:16 Hans de Graaff
2019-01-31  7:35 Hans de Graaff
2019-01-31  7:35 Hans de Graaff
2018-02-07  6:30 Hans de Graaff
2018-02-07  6:30 Hans de Graaff
2016-11-02  5:52 Hans de Graaff
2016-08-02  4:57 Hans de Graaff
2016-07-19  5:58 Hans de Graaff
2016-03-22 21:58 Manuel Rüger
2015-12-19  7:55 Hans de Graaff
2015-12-05  6:46 Hans de Graaff
2015-09-24  5:06 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1500531909.f4879b23356631cd04d8a0d639d6fcb06338c790.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox